Skip to main content
GET
/
openapi
/
v1
/
tasks
/
list
List tasks
curl --request GET \
  --url https://api.vmeg.ai/openapi/v1/tasks/list \
  --header 'Authorization: Bearer <token>'
{
  "code": 200,
  "message": "",
  "data": {
    "records": [
      {
        "taskId": "<string>",
        "taskType": "vt",
        "status": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>"
      }
    ],
    "total": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vmeg.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Send your API Key in the Authorization header (Bearer <api_key>). See Authentication.

Query Parameters

projId
string
required

Project ID (from API Key auth context)

taskType
enum<string>

Filter by task type Open API task type code. For media translation create request, use taskType codes vt (video translation) or at (audio translation).

Available options:
vt,
at,
tts,
cloneVoice,
textTranslation
Example:

"vt"

status
string

Filter by task status

currentPage
integer
default:1

Page number (1-based)

pageSize
integer
default:20

Page size

Response

200 - application/json

Success

code
integer
required

Business code; 200 means success

Example:

200

message
string

Human-readable detail when code is not success

Example:

""

data
object